using Exam.Infrastructure.Data.Interface;
using Hotline.Share.Dtos.Questions;
using Hotline.Share.Dtos.Sourcewares;
using Hotline.Share.Dtos.Trains;
using Hotline.Share.Enums.Exams;
using System.ComponentModel;

namespace Train.Application.Interface.Train
{
    public class TrainQuestionDto:IAddRequest
    {
        /// <summary>
        /// 试题Id
        /// </summary>
        [Description("试题Id")]
        public string QuestionId { get; set; }

        /// <summary>
        /// 题干
        /// </summary>
        [Description("题干")]
        public string Title { get; set; }

        /// <summary>
        /// 题型
        /// </summary>
        [Description("题型")]
        public EQuestionType QuestionType { get; set; }

        /// <summary>
        /// 选项
        /// </summary>
        [Description("选项")]
        public List<TrainQuestionOptionDto> QuestionOptionsDtos { get; set; }

        /// <summary>
        /// 知识
        /// </summary>
        [Description("知识")]
        public List<TrainKnowladgeDto> TrainKnowladgeDtos { get; set; }

        /// <summary>
        /// 课件
        /// </summary>
        [Description("课件")]
        public List<SourcewareDto> SourcewareDtos { get; set; }
    }

    /// <summary>
    /// 选项
    /// </summary>
    public class TrainQuestionOptionDto : IActionRequest
    {
        /// <summary>
        /// 选项内容
        /// </summary>
        [Description("选项内容")]
        public string Content { get; set; }

        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]
        public string Id { get; set; }

        /// <summary>
        /// 是否答案
        /// </summary>
        [Description("是否答案")]
        public string IsAnswer { get; set; }
    }
}